%global _empty_manifest_terminate_build 0
Name:		python-iniconfig
Version:	2.0.0
Release:	1
Summary:	iniconfig: brain-dead simple config-ini parsing
License:	MIT
URL:		http://github.com/RonnyPfannschmidt/iniconfig
Source0:        https://files.pythonhosted.org/packages/d7/4b/cbd8e699e64a6f16ca3a8220661b5f83792b3017d0f79807cb8708d33913/iniconfig-2.0.0.tar.gz
BuildRequires:	python3-pip python3-wheel python3-hatchling python3-hatch-vcs
BuildArch:	noarch
Recommends: 	%{name}-help = %{version}-%{release}

%global _description \
iniconfig is a small and simple INI-file parser module\
having a unique set of features:\
* tested against Python2.4 across to Python3.2, Jython, PyPy\
* maintains order of sections and entries\
* supports multi-line values with or without line-continuations\
* supports "#" comments everywhere\
* raises errors with proper line-numbers\
* no bells and whistles like automatic substitutions\
* iniconfig raises an Error if two sections have the same name.\

%description
%{_description}

%package -n python3-iniconfig
Summary:	iniconfig: brain-dead simple config-ini parsing
Provides:	python-iniconfig
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
%description -n python3-iniconfig
%{_description}

%package help
Summary:	Development documents and examples for iniconfig
Provides:	python3-iniconfig-doc
%description help
%{_description}

%prep
%autosetup -n iniconfig-%{version}

%build
%pyproject_build

%install
%pyproject_install iniconfig==%{version}

%files -n python3-iniconfig
%{python3_sitelib}/*

%changelog
* Wed Apr 26 2023 wulei <wu_lei@hoperun.com> - 2.0.0-1
- Update to 2.0.0

* Wed Jun 08 2022 liukuo <liukuo@kylinos.cn> - 1.1.1-2
- License compliance rectification

* Tue Dec 08 2020 baizhonggui <baizhonggui@huawei.com> - 1.1.1-1
- Package init
